Package: org.grails.cli.interactive.completers

## [Groovy] Class TestsCompleter

- org.grails.cli.interactive.completers.TestsCompleter

- A completer that completes the names of the tests in the project

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TestsCompleter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isValidResource(Resource resource)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassNameCompleter` | `isValidResource, refreshAll`
    `class StringsCompleter` | `complete, getStrings, setStrings`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### TestsCompleter()

  - ### Method Detail

    - #### @java.lang.Override boolean isValidResource(Resource resource)